> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> Changes made to the Watermelon API worth knowing about

<Info>
  We try to version the API using dates to maintain a highly backwards compatible API.
</Info>

<Update label="28/06/2022" description="v1.1.8">
  `GET /contacts — Get Contacts`\
  View all contacts and contact fields

  `POST /contacts — Create Contact`\
  Create a new contact and contact fields

  `GET /contacts/search — Search Contact`\
  Search for a contact and contact fields

  `GET /contacts/{contactId} — Get Contact`\
  View a specific contact and contact fields

  `PUT /contacts/{contactId} — Update Contact`\
  Update a contact and contact fields

  `GET /contacts/customfields — Get Custom Fields`\
  View custom fields

  `GET /conversations — Get Conversations`\
  View all conversations

  `GET /conversations/conversationId — Get Conversation`\
  View a specific conversation

  `POST /messages — Create Message`\
  Send a new message

  `GET /messages/messageId — Get Message`\
  View a specific message

  `POST /webhooks — Create Webhook`\
  Create a new webhook

  `PUT /webhooks/webhookId — Update Webhook`\
  Update an existing webhook

  `DELETE /webhooks/webhookId — Delete Webhook`\
  Remove a webhook
</Update>
